---
title: "IAM_table_two"
description: "example desc" 
lead: "" 
draft: false 
images: [] 
menu: 
  docs: 
    parent: "Data Defination" 
toc: true 
---
| Field Name | Description |
| --- | --- |
| ACCOUNT_ID | The 12-digit number identifying an AWS account. \n\nSee Event Patterns in CloudWatch Events - Amazon CloudWatch Events  |
| ADDENDUM_INFO | If an event delivery was delayed  or additional information about an existing event becomes available after the event is logged  an addendum field shows information about why the event was delayed. If information was missing from an existing event  the addendum field includes the missing information and a reason for why it was missing. Contents include the following.\n\nreason- The reason that the event or some of its contents were missing. Values can be any of the following.\n\nDELIVERY_DELAY There was a delay delivering events. This could be caused by high network traffic  connectivity issues  or a CloudTrail service issue.\n\nUPDATED_DATA A field in the event record was missing or had an incorrect value.\n\nSERVICE_OUTAGE A service that logs events to CloudTrail had an outage  and couldnt log events to CloudTrail. This is exceptionally rare.\n\nupdatedFields- The event record fields that are updated by the addendum. This is only provided if the reason isUPDATED_DATA.\n\noriginalRequestID- The original unique ID of the request. This is only provided if the reason isUPDATED_DATA.\n\noriginalEventID- The original event ID. This is only provided if the reason isUPDATED_DATA.\n\nSince:1.08\n\nOptional:True\n\nSee CloudTrail record contents - AWS CloudTrail  |
| ADDENDUM_ORIGINAL_REQUEST_GUID | The original unique ID of the request. This is only provided if the reason isUPDATED_DATA. |
| ADDENDUM_ORIGINAL_EVENT_GUID | The original event ID. This is only provided if the reason isUPDATED_DATA. |
| ADDENDUM_REASON | The reason that the event or some of its contents were missing. Values can be any of the following.\n\nDELIVERY_DELAY There was a delay delivering events. This could be caused by high network traffic  connectivity issues  or a CloudTrail service issue.\n\nUPDATED_DATA A field in the event record was missing or had an incorrect value.\n\nSERVICE_OUTAGE A service that logs events to CloudTrail had an outage  and couldnt log events to CloudTrail. This is exceptionally rare. |
| ADDENDUM_UPDATED_FIELDS | The event record fields that are updated by the addendum. This is only provided if the reason isUPDATED_DATA. |
| ADDITIONAL_HOST | Indiciates the host URL on to which the logon occurred. |
| ADDITIONAL_INFO | Additional data about the event that was not part of the request or response. This field has a maximum size of 28 KB; content exceeding that limit is truncated. (This seems to be used for the Console Logon events which are not API calls.)\n\nSupport for this field begins witheventVersion1.00.\n\nSince:1.0\n\nOptional:True\n\nSee https://docs.aws.amazon.com/awscloudtrail/latest/userguide/cloudtrail-event-reference-record-contents.html and https://docs.aws.amazon.com/awscloudtrail/latest/userguide/cloudtrail-event-reference-aws-console-sign-in-events.html  |
| ADDTIONAL_MFA_TYPE | Indicates the type of multi-factor authentication. |
| ADDITIONAL_MFA_FLAG | Indicates whether the logon used multi-factor authentication. |
| ADDITIONAL_MOBILE_FLAG | Indicates if the logon occurred on a mobile app. |
| ADMIN_FLAG | A Boolean value that identifies whether the event is a management event.managementEventis shown in an event record ifeventVersionis 1.06 or higher  and the event type is one of the following:\n\nAwsApiCall\n\nAwsConsoleAction\n\nAwsConsoleSignIn\n\nAwsServiceEvent\n\nSince:1.06\n\nOptional:True\n\nSee https://docs.aws.amazon.com/awscloudtrail/latest/userguide/cloudtrail-event-reference-record-contents.html  |
| AWS_API_VERSION | Identifies the API version associated with theAwsApiCalleventTypevalue.\n\nSince:1.01\n\nOptional:True\n\nSee https://docs.aws.amazon.com/awscloudtrail/latest/userguide/cloudtrail-event-reference-record-contents.html  |
| AWS_DETAIL_TYPE | Identifies  in combination with thesourcefield  the fields and values that appear in thedetailfield.\n\nAll events that are delivered via CloudTrail haveAWS API Call via CloudTrailas the value fordetail-type. For more information  seeEvents Delivered Via CloudTrail.\n\nThe contents of thedetailtop-level field are different depending on which service generated the event and what the event is. The combination of thesourceanddetail-typefields serves to identify the fields and values found in thedetailfield. For examples of events generated by AWS services  seeEvent Types for CloudWatch Events. |
| AWS_EVENT_VERSION | The version of the log event format. The current version is 1.08.\n\nTheeventVersionvalue is a major and minor version in the formmajor_version.minor_version. For example  you can have aneventVersionvalue of1.07  where1is the major version  and07is the minor version.\n\nCloudTrail increments the major version if a change is made to the event structure that is not backward-compatible. This includes removing a JSON field that already exists  or changing how the contents of a field are represented (for example  a date format). CloudTrail increments the minor version if a change adds new fields to the event structure. This can occur if new information is available for some or all existing events  or if new information is available only for new event types. Applications can ignore new fields to stay compatible with new minor versions of the event structure.\n\nIf CloudTrail introduces new event types  but the structure of the event is otherwise unchanged  the event version does not change.\n\nTo be sure that your applications can parse the event structure  we recommend that you perform an equal-to comparison on the major version number. To be sure that fields that are expected by your application exist  we also recommend performing a greater-than-or-equal-to comparison on the minor version. There are no leading zeroes in the minor version. You can interpret bothmajor_versionandminor_versionas numbers  and perform comparison operations.\n\nSince:1.0\n\nOptional:False\n\nSee https://docs.aws.amazon.com/awscloudtrail/latest/userguide/cloudtrail-event-reference-record-contents.html  |
| COMMIT_TIME | The time when the record was commited to the Snowflake database. |
| CONSOLE_SESSION_FLAG | Shows whether or not an event originated from a AWS Management Console session. This field is not shown unless the value istrue  meaning that the client that was used to make the API call was either a proxy or an external client. If a proxy client was used  thetlsDetailsevent field is not shown.\n\nSince:1.08\n\nOptional:True\n\nSee https://docs.aws.amazon.com/awscloudtrail/latest/userguide/cloudtrail-event-reference-record-contents.html  |
| DETAIL_INFO | A JSON object  whose content is at the discretion of the service originating the event. AWS API call events have detail objects with around 50 fields nested several levels deep.\n\nThe contents of thedetailtop-level field are different depending on which service generated the event and what the event is. \n\nSee https://docs.aws.amazon.com/AmazonCloudWatch/latest/events/CloudWatchEventsandEventPatterns.html  |
| DST_SERVICE_NAME | Identifies the service that sourced the event (i.e. from where the log event comes  the service process not the client process). All events sourced from within AWS begin with 'AWS.' Customer-generated events can have any value here  as long as it doesnt begin with 'AWS.' We recommend the use of Java package-name style reverse domain-name strings.\n\nTo find the correct value forsourcefor an AWS service  see the table inAWS Service Namespaces. For example  thesourcevalue for Amazon CloudFront isaws.cloudfront.\n\nSee https://docs.aws.amazon.com/AmazonCloudWatch/latest/events/CloudWatchEventsandEventPatterns.html \n\nThe service that the request was made to. This name is typically a short form of the service name without spaces plus.amazonaws.com. For example:\n\nAWS CloudFormation iscloudformation.amazonaws.com.\n\nAmazon EC2 isec2.amazonaws.com.\n\nAmazon Simple Workflow Service isswf.amazonaws.com.\n\nThis convention has some exceptions. For example  theeventSourcefor Amazon CloudWatch ismonitoring.amazonaws.com.\n\nSince:1.0\n\nOptional:False |
| DST_USER_ID | Represents the account ID that received this event. TherecipientAccountIDmay be different from theCloudTrail userIdentity ElementaccountId. This can occur in cross-account resource access. For example  if a KMS key  also known as acustomer master key (CMK)  was used by a separate account to call theEncrypt API  theaccountIdandrecipientAccountIDvalues will be the same for the event delivered to the account that made the call  but the values will be different for the event that is delivered to the account that owns the CMK.\n\nSince:1.02\n\nOptional:True\n\nSee https://docs.aws.amazon.com/awscloudtrail/latest/userguide/cloudtrail-event-reference-record-contents.html  |
| DVC_PRODUCT | Constant AWS |
| DVC_VENDOR | Constant Amazon |
| DVC_VERSION | Constant * |
| ERROR_CODE | The AWS service error if the request returns an error. For an example that shows this field  seeError Code and Message Log Example. This field has a maximum size of 1 KB; content exceeding that limit is truncated.\n\nSince:1.0\n\nOptional:True\n\nSee https://docs.aws.amazon.com/awscloudtrail/latest/userguide/cloudtrail-event-reference-record-contents.html   https://docs.aws.amazon.com/IAM/latest/APIReference/CommonErrors.html  |
| ERROR_DESC | If the request returns an error  the description of the error. This message includes messages for authorization failures. CloudTrail captures the message logged by the service in its exception handling. For an example  seeError Code and Message Log Example. This field has a maximum size of 1 KB; content exceeding that limit is truncated.\n\nNote\n\nSome AWS services provide theerrorCodeanderrorMessageas top-level fields in the event. Other AWS services provide error information as part ofresponseElements.\n\nSince:1.0\n\nOptional:True\n\nSee https://docs.aws.amazon.com/awscloudtrail/latest/userguide/cloudtrail-event-reference-record-contents.html  https://docs.aws.amazon.com/IAM/latest/APIReference/CommonErrors.html  |
| EVENT_CAT_NAME | Shows the event category that is used inLookupEventscalls.\n\nFor management events  the value isManagement.\n\nFor data events  the value isData.\n\nFor Insights events  the value isInsight.\n\nSince:1.07\n\nOptional:False\n\nSee https://docs.aws.amazon.com/awscloudtrail/latest/userguide/cloudtrail-event-reference-record-contents.html  |
| EVENT_GUID | GUID generated by CloudTrail to uniquely identify each event. You can use this value to identify a single event. For example  you can use the ID as a primary key to retrieve log data from a searchable database.\n\nSince:1.01\n\nOptional:False\n\nSee https://docs.aws.amazon.com/awscloudtrail/latest/userguide/cloudtrail-event-reference-record-contents.html  |
| EVENT_GUID | A unique value is generated for every event. This can be helpful in tracing events as they move through rules to targets  and are processed. \n\nSee https://docs.aws.amazon.com/AmazonCloudWatch/latest/events/CloudWatchEventsandEventPatterns.html  |
| EVENT_NAME | The requested action  which is one of the actions in the API for that service.\n\nSince:1.0\n\nOptional:False\n\nSee https://docs.aws.amazon.com/awscloudtrail/latest/userguide/cloudtrail-event-reference-record-contents.html  |
| EVENT_SERVICE_NAME | The service that the request was made to. This name is typically a short form of the service name without spaces plus.amazonaws.com. For example:\n\nAWS CloudFormation iscloudformation.amazonaws.com.\n\nAmazon EC2 isec2.amazonaws.com.\n\nAmazon Simple Workflow Service isswf.amazonaws.com.\n\nThis convention has some exceptions. For example  theeventSourcefor Amazon CloudWatch ismonitoring.amazonaws.com.\n\nSince:1.0\n\nOptional:False\n\nSee https://docs.aws.amazon.com/awscloudtrail/latest/userguide/cloudtrail-event-reference-record-contents.html  |
| EVENT_TIME | The event timestamp  which can be specified by the service originating the event. If the event spans a time interval  the service might choose to report the start time  so this value can be noticeably before the time the event is actually received.\n\nSee https://docs.aws.amazon.com/AmazonCloudWatch/latest/events/CloudWatchEventsandEventPatterns.html  |
| EVENT_TYPE | Identifies the type of event that generated the event record. This can be the one of the following values:\n\nAwsApiCall An API was called.\n\nAwsServiceEvent The service generated an event related to your trail. For example  this can occur when another account made a call with a resource that you own.\n\nAwsConsoleAction An action was taken in the console that was not an API call.\n\nAwsConsoleSignIn A user in your account (root  IAM  federated  SAML  or SwitchRole) signed in to the AWS Management Console.\n\nSince:1.02\n\nOptional:False\n\nSee https://docs.aws.amazon.com/awscloudtrail/latest/userguide/cloudtrail-event-reference-record-contents.html  |
| GUID | Globally Unique Identifier generated by Snowflake. |
| MFA_SESSION_FLAG | mfaAuthenticated The value istrueif the root user or IAM user whose credentials were used for the request also was authenticated with an MFA device; otherwise false.\n\nOptional:True\n\nSee https://docs.aws.amazon.com/awscloudtrail/latest/userguide/cloudtrail-event-reference-user-identity.html  |
| NEW_USER_SESSION_TIME | creationDate The date and time when the temporary security credentials were issued. Represented in ISO 8601 basic notation.\n\nOptional:True\n\nSee https://docs.aws.amazon.com/awscloudtrail/latest/userguide/cloudtrail-event-reference-user-identity.html  |
| RAW | The entire record from Cloudwatch into Snowflake. |
| READONLY_FLAG | Identifies whether this operation is a read-only operation. This can be one of the following values:\n\ntrue The operation is read-only (for example DescribeTrails).\n\nfalse The operation is write-only (for example DeleteTrail).\n\nSince:1.01\n\nOptional:True\n\nSee https://docs.aws.amazon.com/awscloudtrail/latest/userguide/cloudtrail-event-reference-record-contents.html  |
| REGION_NAME | Identifies the AWS region where the event originated.\n\nSee https://docs.aws.amazon.com/AmazonCloudWatch/latest/events/CloudWatchEventsandEventPatterns.html  |
| REQUEST_ACTION_CODE | The action to be performed. Usually the name of the API call made. This is a common parameter for IAM and STS.\n\nType: string\n\nRequired: Yes |
| REQUEST_ARN | The ARN of the IAM resource (user  group  role  or managed policy) used to generate information about when the resource was last used in an attempt to access an AWS service.\n\nType: String\n\nLength Constraints: Minimum length of 20. Maximum length of 2048.\n\nRequired: Yes |
| REQUEST_CALLER_ARN | The ARN of the IAM user that you want to use as the simulated caller of the API operations.CallerArnis required if you include aResourcePolicyso that the policysPrincipalelement has a value to use in evaluating the policy.\n\nYou can specify only the ARN of an IAM user. You cannot specify the ARN of an assumed role  federated user  or a service principal.\n\nType: String\n\nLength Constraints: Minimum length of 1. Maximum length of 2048.\n\nRequired: No |
| REQUEST_DESCRIPTION | A friendly description of the policy or role.\n\nTypically used to store information about the permissions defined in the policy. For example  'Grants access to production DynamoDB tables.'\n\nThe policy description is immutable. After a value is assigned  it cannot be changed.\n\nType: String\n\nLength Constraints: Maximum length of 1000.\n\nRequired: No - CreatePolicy  CreateRole  CreateServiceLinkedRole |
| REQUEST_GROUP_NAME | The name of the group to get  to create  to update  to delete  to attach the policy to  or to remove the policy from. OR  The name (friendly name  not ARN) identifying the group that the policy is embedded in. Do not include the path in this value.\n\nThis parameter allows (through itsregex pattern) a string of characters consisting of upper and lowercase alphanumeric characters with no spaces. You can also include any of the following characters: _+= .@-\n\nType: String\n\nLength Constraints: Minimum length of 1. Maximum length of 128.\n\nPattern:[\\w+= .@-]+\n\nRequired: Yes  AddUserToGroup  AttachGroupPolicy |
| REQUEST_GROUP_NAME_NEW | New name for the IAM group. Only include this if changing the groups name.\n\nIAM user  group  role  and policy names must be unique within the account. Names are not distinguished by case. For example  you cannot create resources named both 'MyResource' and 'myresource'.\n\nType: String\n\nLength Constraints: Minimum length of 1. Maximum length of 128.\n\nPattern:[\\w+= .@-]+\n\nRequired: No |
| REQUEST_GUID | The value that identifies the request. The service being called generates this value. This field has a maximum size of 1 KB; content exceeding that limit is truncated.\n\nSupport for this field begins witheventVersion1.01.\n\nSince:1.01\n\nOptional:False\n\nSee https://docs.aws.amazon.com/awscloudtrail/latest/userguide/cloudtrail-event-reference-record-contents.html  |
| REQUEST_INFO | The parameters  if any  that were sent with the request. These parameters are documented in the API reference documentation for the appropriate AWS service. This field has a maximum size of 100 KB; content exceeding that limit is truncated.\n\nSince:1.0\n\nOptional:False\n\nSee https://docs.aws.amazon.com/awscloudtrail/latest/userguide/cloudtrail-event-reference-record-contents.html   https://docs.aws.amazon.com/AmazonECS/latest/APIReference/Welcome.html    |
| REQUEST_INSTANCE_PROFILE_NAME | The name of the instance profile to create  update  or delete.\n\nThis parameter allows (through itsregex pattern) a string of characters consisting of upper and lowercase alphanumeric characters with no spaces. You can also include any of the following characters: _+= .@-\n\nType: String\n\nLength Constraints: Minimum length of 1. Maximum length of 128.\n\nPattern:[\\w+= .@-]+\n\nRequired: Yes |
| REQUEST_ITEM_COUNT_MAX | Use this only when paginating results to indicate the maximum number of items you want in the response. If additional items exist beyond the maximum you specify  theIsTruncatedresponse element istrue.\n\nIf you do not include this parameter  the number of items defaults to 100. Note that IAM might return fewer results  even when there are more results available. In that case  theIsTruncatedresponse element returnstrue  andMarkercontains a value to include in the subsequent call that tells the service where to continue from.\n\nType: Integer\n\nValid Range: Minimum value of 1. Maximum value of 1000.\n\nRequired: No |
| REQUEST_JOB_ID | The identifier of the request generated by theGenerateOrganizationsAccessReportoperation.\n\nType: String\n\nLength Constraints: Fixed length of 36.\n\nRequired: Yes |
| REQUEST_MARKER | Use this parameter only when paginating results and only after you receive a response indicating that the results are truncated. Set it to the value of theMarkerelement in the response that you received to indicate where the next call should start.\n\nType: String\n\nLength Constraints: Minimum length of 1.\n\nPattern:[\\u0020-\\u00FF]+\n\nRequired: No |
| REQUEST_NAME | The name of the provider to create.\n\nThis parameter allows (through itsregex pattern) a string of characters consisting of upper and lowercase alphanumeric characters with no spaces. You can also include any of the following characters: _+= .@-\n\nType: String\n\nLength Constraints: Minimum length of 1. Maximum length of 128.\n\nPattern:[\\w._-]+\n\nRequired: Yes |
| REQUEST_PATH | The path to the user name  group  policy  or virtual MFA device. For more information about paths  seeIAM identifiersin theIAM User Guide.\n\nThis parameter is optional. If it is not included  it defaults to a slash (/).\n\nThis parameter allows (through itsregex pattern) a string of characters consisting of either a forward slash (/) by itself or a string that must begin and end with forward slashes. In addition  it can contain any ASCII character from the ! (\\u0021) through the DEL character (\\u007F)  including most punctuation characters  digits  and upper and lowercased letters.\n\nType: String\n\nLength Constraints: Minimum length of 1. Maximum length of 512.\n\nPattern:(\\u002F)|(\\u002F[\\u0021-\\u007F]+\\u002F)\n\nRequired: No - CreateGroup  CreateInstanceProfile  CreatePolicy  CreateRole  CreateUser |
| REQUEST_PATH_NEW | New path for the IAM group. Only include this if changing the groups path.\n\nThis parameter allows (through itsregex pattern) a string of characters consisting of either a forward slash (/) by itself or a string that must begin and end with forward slashes. In addition  it can contain any ASCII character from the ! (\\u0021) through the DEL character (\\u007F)  including most punctuation characters  digits  and upper and lowercased letters.\n\nType: String\n\nLength Constraints: Minimum length of 1. Maximum length of 512.\n\nPattern:(\\u002F)|(\\u002F[\\u0021-\\u007F]+\\u002F)\n\nRequired: No |
| REQUEST_PATH_PREFIX | The path prefix for filtering the results. This parameter is optional. If it is not included  it defaults to a slash (/)  listing all policies.\n\nThis parameter allows (through itsregex pattern) a string of characters consisting of either a forward slash (/) by itself or a string that must begin and end with forward slashes. In addition  it can contain any ASCII character from the ! (\\u0021) through the DEL character (\\u007F)  including most punctuation characters  digits  and upper and lowercased letters.\n\nType: String\n\nLength Constraints: Minimum length of 1. Maximum length of 512.\n\nPattern:((/[A-Za-z0-9\\. \\+@=_-]+)*)/\n\nRequired: No |
| REQUEST_POLICY | An IAM policy in JSON format that you want to use as an inline session policy.\n\nThis parameter is optional. Passing policies to this operation returns new temporary credentials. The resulting sessions permissions are the intersection of the roles identity-based policy and the session policies. You can use the roles temporary credentials in subsequent AWS API calls to access resources in the account that owns the role. You cannot use session policies to grant more permissions than those allowed by the identity-based policy of the role that is being assumed. For more information  seeSession Policiesin theIAM User Guide.\n\nThe plaintext that you use for both inline and managed session policies cant exceed 2 048 characters. The JSON policy characters can be any ASCII character from the space character to the end of the valid character list (\\u0020 through \\u00FF). It can also include the tab (\\u0009)  linefeed (\\u000A)  and carriage return (\\u000D) characters.\n\nNote\n\nAn AWS conversion compresses the passed session policies and session tags into a packed binary format that has a separate limit. Your request can fail for this limit even if your plaintext meets the other requirements. ThePackedPolicySizeresponse element indicates by percentage how close the policies and tags for your request are to the upper size limit.\n\nType: String\n\nLength Constraints: Minimum length of 1. Maximum length of 2048.\n\nPattern:[\\u0009\\u000A\\u000D\\u0020-\\u00FF]+\n\nRequired: No |
| REQUEST_POLICY_ARN | The Amazon Resource Name (ARN) of the IAM policy you want to attach  to detach  to delete  or to add a new version  or to delete a version of.\n\nFor more information about ARNs  seeAmazon Resource Names (ARNs)in theAWS General Reference.\n\nType: String\n\nLength Constraints: Minimum length of 20. Maximum length of 2048.\n\nRequired: Yes - AttachGroupPolicy  AttachRolePolicy  AttachUserPolicy  CreatePolicyVersion |
| REQUEST_POLICY_ARN_LIST | The Amazon Resource Names (ARNs) of the IAM managed policies that you want to use as managed session policies. The policies must exist in the same account as the role.\n\nThis parameter is optional. You can provide up to 10 managed policy ARNs. However  the plaintext that you use for both inline and managed session policies cant exceed 2 048 characters. For more information about ARNs  seeAmazon Resource Names (ARNs) and AWS Service Namespacesin the AWS General Reference.\n\nNote\n\nAn AWS conversion compresses the passed session policies and session tags into a packed binary format that has a separate limit. Your request can fail for this limit even if your plaintext meets the other requirements. ThePackedPolicySizeresponse element indicates by percentage how close the policies and tags for your request are to the upper size limit.\n\nPassing policies to this operation returns new temporary credentials. The resulting sessions permissions are the intersection of the roles identity-based policy and the session policies. You can use the roles temporary credentials in subsequent AWS API calls to access resources in the account that owns the role. You cannot use session policies to grant more permissions than those allowed by the identity-based policy of the role that is being assumed. For more information  seeSession Policiesin theIAM User Guide.\n\nType: Array ofPolicyDescriptorTypeobjects\n\nRequired: No |
| REQUEST_POLICY_DOCUMENT | The JSON policy document that you want to use as the content for the new policy.\n\nYou must provide policies in JSON format in IAM. However  for AWS CloudFormation templates formatted in YAML  you can provide the policy in JSON or YAML format. AWS CloudFormation always converts a YAML policy to JSON format before submitting it to IAM.\n\nTo learn more about JSON policy grammar  seeGrammar of the IAM JSON policy languagein theIAM User Guide.\n\nTheregex patternused to validate this parameter is a string of characters consisting of the following:\n\nAny printable ASCII character ranging from the space character (\\u0020) through the end of the ASCII character range\n\nThe printable characters in the Basic Latin and Latin-1 Supplement character set (through\\u00FF)\n\nThe special characters tab (\\u0009)  line feed (\\u000A)  and carriage return (\\u000D)\n\nType: String\n\nLength Constraints: Minimum length of 1. Maximum length of 131072.\n\nPattern:[\\u0009\\u000A\\u000D\\u0020-\\u00FF]+\n\nRequired: Yes - CreatePolicy  CreatePolicyVersion |
| REQUEST_POLICY_LIST | A list of policies for which you want the list of context keys referenced in those policies. Each document is specified as a string containing the complete  valid JSON text of an IAM policy.\n\nTheregex patternused to validate this parameter is a string of characters consisting of the following:\n\nAny printable ASCII character ranging from the space character (\\u0020) through the end of the ASCII character range\n\nThe printable characters in the Basic Latin and Latin-1 Supplement character set (through\\u00FF)\n\nThe special characters tab (\\u0009)  line feed (\\u000A)  and carriage return (\\u000D)\n\nType: Array of strings\n\nLength Constraints: Minimum length of 1. Maximum length of 131072.\n\nPattern:[\\u0009\\u000A\\u000D\\u0020-\\u00FF]+\n\nRequired: Yes - GetContextKeysForCustomPolicy \n\nNo - GetContextKeysForPrincipalPolicy |
| REQUEST_POLICY_NAME | The friendly name of the policy to create or to delete. OR  The name identifying the policy document to delete.\n\nIAM user  group  role  and policy names must be unique within the account. Names are not distinguished by case. For example  you cannot create resources named both 'MyResource' and 'myresource'.\n\nType: String\n\nLength Constraints: Minimum length of 1. Maximum length of 128.\n\nPattern:[\\w+= .@-]+\n\nRequired: Yes -  |
| REQUEST_POLICY_VERSION_ID | The policy version to delete or to get.\n\nThis parameter allows (through itsregex pattern) a string of characters that consists of the lowercase letter v followed by one or two digits  and optionally followed by a period . and a string of letters and digits.\n\nFor more information about managed policy versions  seeVersioning for managed policiesin theIAM User Guide.\n\nType: String\n\nPattern:v[1-9][0-9]*(\\.[A-Za-z0-9-]*)?\n\nRequired: Yes |
| REQUEST_ROLE_ARN | The Amazon Resource Name (ARN) of the role to assume.\n\nType: String\n\nLength Constraints: Minimum length of 20. Maximum length of 2048.\n\nPattern:[\\u0009\\u000A\\u000D\\u0020-\\u007E\\u0085\\u00A0-\\uD7FF\\uE000-\\uFFFD\\u10000-\\u10FFFF]+\n\nRequired: Yes |
| REQUEST_ROLE_NAME | The name (friendly name  not ARN) of the role or the service-linked role to create  add or delete  or from which you want to remove the permissions boundary. The name (friendly name  not ARN) of the role to attach the policy to.\n\nThis parameter allows (through itsregex pattern) a string of characters consisting of upper and lowercase alphanumeric characters with no spaces. You can also include any of the following characters: _+= .@-\n\nType: String\n\nLength Constraints: Minimum length of 1. Maximum length of 64.\n\nPattern:[\\w+= .@-]+\n\nRequired: Yes - AddRoleToInstance  AttachRolePolicy |
| REQUEST_SERIAL_NUMBER | The serial number that uniquely identifies the MFA device to enable  to deactivate or to delete. For virtual MFA devices  the serial number is the device ARN.\n\nThis parameter allows (through itsregex pattern) a string of characters consisting of upper and lowercase alphanumeric characters with no spaces. You can also include any of the following characters: = .@:/-\n\nType: String\n\nLength Constraints: Minimum length of 9. Maximum length of 256.\n\nPattern:[\\w+=/: .@-]+\n\nRequired: Yes |
| REQUEST_SERVER_CERTIFICATE_NAME | The name of the server certificate you want to delete.\n\nThis parameter allows (through itsregex pattern) a string of characters consisting of upper and lowercase alphanumeric characters with no spaces. You can also include any of the following characters: _+= .@-\n\nType: String\n\nLength Constraints: Minimum length of 1. Maximum length of 128.\n\nPattern:[\\w+= .@-]+\n\nRequired: Yes |
| REQUEST_SERVICE_NAME(Overloaded) | The service principal for the AWS service to which this role is attached. You use a string similar to a URL but without the http:// in front. For example:elasticbeanstalk.amazonaws.com.\n\nService principals are unique and case-sensitive. To find the exact service principal for your service-linked role  seeAWS services that work with IAMin theIAM User Guide. Look for the services that haveYesin theService-Linked Rolecolumn. Choose theYeslink to view the service-linked role documentation for that service.\n\nType: String\n\nLength Constraints: Minimum length of 1. Maximum length of 128.\n\nPattern:[\\w+= .@-]+\n\nRequired: Yes |
| REQUEST_SERVICE_NAME(Overloaded) | The name of the AWS service that is to be associated with the credentials. The service you specify here is the only service that can be accessed using these credentials.\n\nType: String\n\nRequired: Yes |
| REQUEST_SESSION_NAME | An identifier for the assumed role session.\n\nUse the role session name to uniquely identify a session when the same role is assumed by different principals or for different reasons. In cross-account scenarios  the role session name is visible to  and can be logged by the account that owns the role. The role session name is also used in the ARN of the assumed role principal. This means that subsequent cross-account API requests that use the temporary security credentials will expose the role session name to the external account in their AWS CloudTrail logs.\n\nThe regex used to validate this parameter is a string of characters consisting of upper- and lower-case alphanumeric characters with no spaces. You can also include underscores or any of the following characters: = .@-\n\nType: String\n\nLength Constraints: Minimum length of 2. Maximum length of 64.\n\nPattern:[\\w+= .@-]*\n\nRequired: Yes |
| REQUEST_SORT_KEY | The key that is used to sort the results. If you choose the namespace key  the results are returned in alphabetical order. If you choose the time key  the results are sorted numerically by the date and time.\n\nType: String\n\nValid Values:SERVICE_NAMESPACE_ASCENDING | SERVICE_NAMESPACE_DESCENDING | LAST_AUTHENTICATED_TIME_ASCENDING | LAST_AUTHENTICATED_TIME_DESCENDING\n\nRequired: No |
| REQUEST_SOURCE_IDENTITY | The source identity specified by the principal that is calling theAssumeRoleoperation.\n\nYou can require users to specify a source identity when they assume a role. You do this by using thests:SourceIdentitycondition key in a role trust policy. You can use source identity information in AWS CloudTrail logs to determine who took actions with a role. You can use theaws:SourceIdentitycondition key to further control access to AWS resources based on the value of source identity. For more information about using source identity  seeMonitor and control actions taken with assumed rolesin theIAM User Guide.\n\nThe regex used to validate this parameter is a string of characters consisting of upper- and lower-case alphanumeric characters with no spaces. You can also include underscores or any of the following characters: = .@-. You cannot use a value that begins with the textaws:. This prefix is reserved for AWS internal use.\n\nType: String\n\nLength Constraints: Minimum length of 2. Maximum length of 64.\n\nPattern:[\\w+= .@-]*\n\nRequired: No |
| REQUEST_STATUS | The status you want to assign to the secret access key.Activemeans that the key can be used for programmatic calls to AWS  whileInactivemeans that the key cannot be used.\n\nType: String\n\nValid Values:Active | Inactive\n\nRequired: Yes |
| REQUEST_TAG_KEY_LIST | A list of key names as a simple array of strings. The tags with matching keys are removed from the specified instance profile.\n\nType: Array of strings\n\nArray Members: Maximum number of 50 items.\n\nLength Constraints: Minimum length of 1. Maximum length of 128.\n\nPattern:[\\p{L}\\p{Z}\\p{N}_.:/=+\\-@]+\n\nRequired: Yes |
| REQUEST_TAG_LIST | A list of tags that you want to attach to the new IAM OpenID Connect (OIDC) provider  to the newly created IAM instance profile  to the new IAM customer managed policy  to the new user or role or virtual MFA device. Each tag consists of a key name and an associated value. For more information about tagging  see Tagging IAM resources in the IAM User Guide.\n\nNote\n\nIf any one of the tags is invalid or if you exceed the allowed maximum number of tags  then the entire request fails and the resource is not created.\n\nType: Array of Tag objects\n\nArray Members: Maximum number of 50 items.\n\nRequired: No |
| REQUEST_USER_NAME | The name of the user to add  to create  to delete  to which the policy will be added  that the new key will belong to  to create a password for  whose MFA device you want to enable or to deactivate  whose access key pair you want to delete  or whose password you want to delete  of the IAM user associated with the service-specific credential or with the SSH public key  to whom the user the signing certificate belongs  or from which you want to remove the permissions boundary or policy. New service-specific credentials have the same permissions as the associated user except that they can be used only to access the specified service.\n\nThis parameter allows (through itsregex pattern) a string of characters consisting of upper and lowercase alphanumeric characters with no spaces. You can also include any of the following characters: _+= .@-\n\nType: String\n\nLength Constraints: Minimum length of 1. Maximum length of 128.\n\nPattern:[\\w+= .@-]+\n\nRequired: Yes - AddUserToGroup  AttachUserPolicy  CreateKey  CreateLoginProfile  CreateServiceSpecificCredential |
| REQUEST_USER_NAME_NEW | New name for the user. Include this parameter only if youre changing the users name.\n\nIAM user  group  role  and policy names must be unique within the account. Names are not distinguished by case. For example  you cannot create resources named both 'MyResource' and 'myresource'.\n\nType: String\n\nLength Constraints: Minimum length of 1. Maximum length of 64.\n\nPattern:[\\w+= .@-]+\n\nRequired: No |
| RESOURCE_LIST | A list of resources accessed in the event. The field can contain the following information:\n\nResource ARNs\n\nAccount ID of the resource owner\n\nResource type identifier in the format:AWS::aws-service-name::data-type-name\n\nFor example  when anAssumeRoleevent is logged  theresourcesfield can appear like the following:\n\nARN:arn:aws:iam::123456789012:role/myRole\n\nAccount ID:123456789012\n\nResource type identifier:AWS::IAM::Role\n\nFor example logs with theresourcesfield  seeAWS STS API Event in CloudTrail Log Filein theIAM User GuideorLogging AWS KMS API Callsin theAWS Key Management Service Developer Guide.\n\nSince:1.01\n\nOptional:True\n\nSee https://docs.aws.amazon.com/awscloudtrail/latest/userguide/cloudtrail-event-reference-record-contents.html  |
| RESOURCE_LIST(Duplication of above. This is the preferred parameter.) | This JSON array contains ARNs that identify resources that are involved in the event. Inclusion of these ARNs is at the discretion of the service. For example  Amazon EC2 instance state-changes include Amazon EC2 instance ARNs  Auto Scaling events include ARNs for both instances and Auto Scaling groups  but API calls with AWS CloudTrail do not include resource ARNs.\n\nSee https://docs.aws.amazon.com/AmazonCloudWatch/latest/events/CloudWatchEventsandEventPatterns.html  |
| RESPONSE_ALIAS_LIST | A list of aliases associated with the account. AWS supports only one alias per account.\n\nType: Array of strings\n\nLength Constraints: Minimum length of 3. Maximum length of 63.\n\nPattern:^[a-z0-9](([a-z0-9]|-(?!-))*[a-z0-9])?$ |
| RESPONSE_ACCOUNT | The number used to identify the AWS account.\n\nType: String |
| RESPONSE_ARN | The AWS ARN associated with the calling entity.\n\nType: String\n\nLength Constraints: Minimum length of 20. Maximum length of 2048.\n\nPattern:[\\u0009\\u000A\\u000D\\u0020-\\u007E\\u0085\\u00A0-\\uD7FF\\uE000-\\uFFFD\\u10000-\\u10FFFF]+ |
| RESPONSE_ASSUMED_USER_INFO | The Amazon Resource Name (ARN) and the assumed role ID  which are identifiers that you can use to refer to the resulting temporary security credentials. For example  you can reference these credentials as a principal in a resource-based policy by using the ARN or assumed role ID. The ARN and ID include theRoleSessionNamethat you specified when you calledAssumeRole.\n\nType:AssumedRoleUserobject |
| RESPONSE_CLIENT_LIST | A list of client IDs (also known as audiences) that are associated with the specified IAM OIDC provider resource object. For more information  seeCreateOpenIDConnectProvider.\n\nType: Array of strings\n\nLength Constraints: Minimum length of 1. Maximum length of 255. |
| RESPONSE_CONSOLE_LOGIN_FLAG | See https://docs.aws.amazon.com/awscloudtrail/latest/userguide/cloudtrail-event-reference-aws-console-sign-in-events.html  |
| RESPONSE_CONTEXT_KEY_NAME_LIST | The list of context keys that are referenced in the input policies.\n\nType: Array of strings\n\nLength Constraints: Minimum length of 5. Maximum length of 256. |
| RESPONSE_ERROR_CODE(Overloaded) | The code component of the detail.responseElements.Error. |
| RESPONSE_ERROR_CODE(Overloaded) | The code component of detail.responseElements.ErrorDetails. |
| RESPONSE_ERROR_MESSAGE(Overloaded) | The message component of the detail.responseElements.Error. |
| ORIGINAL_STRING:detail.responseElements.ErrorDetails.Message |  |
| ORIGINAL_STRING:detail.responseElements.Reason |  |
| RESPONSE_GROUP_INFO | A structure containing details about the new group.\n\nType:Groupobject |
| RESPONSE_GROUP_LIST(Overloaded) | A list containing information about IAM groups.\n\nType: Array ofGroupDetailobjects |
| ORIGINAL_STRING:detail.responseElements.Groups |  |
| RESPONSE_GROUP_NAME | The group the policy is associated with.\n\nType: String\n\nLength Constraints: Minimum length of 1. Maximum length of 128.\n\nPattern:[\\w+= .@-]+ |
| RESPONSE_INFO | The response element for actions that make changes (create  update  or delete actions). If an action does not change state (for example  a request to get or list objects)  this element is omitted. These actions are documented in the API reference documentation for the appropriate AWS service. This field has a maximum size of 100 KB; content exceeding that limit is truncated.\n\nTheresponseElementsvalue is useful to help you trace a request with AWS Support. Bothx-amz-request-idandx-amz-id-2contain information that helps you trace a request with AWS Support. These values are the same as those that the service returns in the response to the request that initiates the events  so you can use them to match the event to the request.\n\nSince:1.0\n\nOptional:False\n\nSee https://docs.aws.amazon.com/awscloudtrail/latest/userguide/cloudtrail-event-reference-record-contents.html  |
| RESPONSE_JOB_END_TIME | The date and time  inISO 8601 date-time format  when the generated report job was completed or failed.\n\nThis field is null if the job is still in progress  as indicated by a job status value ofIN_PROGRESS.\n\nType: Timestamp |
| RESPONSE_JOB_ID | The job identifier that you can use in theGetOrganizationsAccessReport  GetServiceLastAccessedDetailsorGetServiceLastAccessedDetailsWithEntities operation.\n\nType: String\n\nLength Constraints: Fixed length of 36. |
| RESPONSE_JOB_STATUS | The status of the job.\n\nType: String\n\nValid Values:IN_PROGRESS | COMPLETED | FAILED |
| RESPONSE_JOB_TYPE | The type of job. Service jobs return information about when each service was last accessed. Action jobs also include information about when tracked actions within the service were last accessed.\n\nType: String\n\nValid Values:SERVICE_LEVEL | ACTION_LEVEL |
| RESPONSE_LOGIN_INFO | A structure containing the user name and password create date.\n\nType:LoginProfileobject |
| RESPONSE_MARKER | WhenIsTruncatedistrue  this element is present and contains the value to use for theMarkerparameter in a subsequent pagination request.\n\nType: String |
| RESPONSE_METRICS | A set of keyvalue pairs containing information about IAM entity usage and IAM quotas.\n\nType: String to integer map\n\nValid Keys:Users | UsersQuota | Groups | GroupsQuota | ServerCertificates | ServerCertificatesQuota | UserPolicySizeQuota | GroupPolicySizeQuota | GroupsPerUserQuota | SigningCertificatesPerUserQuota | AccessKeysPerUserQuota | MFADevices | MFADevicesInUse | AccountMFAEnabled | AccountAccessKeysPresent | AccountSigningCertificatesPresent | AttachedPoliciesPerGroupQuota | AttachedPoliciesPerRoleQuota | AttachedPoliciesPerUserQuota | Policies | PoliciesQuota | PolicySizeQuota | PolicyVersionsInUse | PolicyVersionsInUseQuota | VersionsPerPolicyQuota | GlobalEndpointTokenVersion |
| RESPONSE_MFA_LIST | A list of MFA devices.\n\nType: Array ofMFADeviceobjects |
| RESPONSE_PASSWORD_UPDATED_RESULT | See https://docs.aws.amazon.com/awscloudtrail/latest/userguide/cloudtrail-event-reference-aws-console-sign-in-events.html  |
| RESPONSE_POLICY_GROUP_LIST | A list of IAM groups that the policy is attached to.\n\nType: Array ofPolicyGroupobjects |
| RESPONSE_POLICY_NAME | The name of the policy.\n\nType: String\n\nLength Constraints: Minimum length of 1. Maximum length of 128.\n\nPattern:[\\w+= .@-]+ |
| RESPONSE_POLICY_NAME_LIST | A list of policy names.\n\nThis parameter allows (through itsregex pattern) a string of characters consisting of upper and lowercase alphanumeric characters with no spaces. You can also include any of the following characters: _+= .@-\n\nType: Array of strings\n\nLength Constraints: Minimum length of 1. Maximum length of 128.\n\nPattern:[\\w+= .@-]+ |
| RESPONSE_POLICY_ROLE_LIST | A list of IAM roles that the policy is attached to.\n\nType: Array ofPolicyRoleobjects |
| RESPONSE_POLICY_USER_LIST | A list of IAM users that the policy is attached to.\n\nType: Array ofPolicyUserobjects |
| RESPONSE_POLICY_VERSION(Overloaded) | A structure containing details about the new policy or gotten version.\n\nType:PolicyVersionobject |
| ORIGINAL_STRING:detail.responseElements.Versions |  |
| RESPONSE_PROVIDER | The issuing authority of the web identity token presented. For OpenID Connect ID tokens  this contains the value of theissfield. For OAuth 2.0 access tokens  this contains the value of theProviderIdparameter that was passed in theAssumeRoleWithWebIdentityrequest.\n\nType: String |
| RESPONSE_ROLE | ARoleobject that contains details about the newly created or gotten role.\n\nType:Roleobject |
| RESPONSE_ROLE_LIST(Overloaded) | A list containing information about IAM roles.\n\nType: Array ofRoleDetailobjects |
| ORIGINAL_STRING:detail.responseElements.Roles |  |
| RESPONSE_ROLE_NAME | The role the policy is associated with.\n\nType: String\n\nLength Constraints: Minimum length of 1. Maximum length of 64.\n\nPattern:[\\w+= .@-]+ |
| RESPONSE_SAML_END_TIME | The expiration date and time for the SAML provider.\n\nType: Timestamp |
| RESPONSE_STATUS | The status of the deletion.\n\nType: String\n\nValid Values:SUCCEEDED | IN_PROGRESS | FAILED | NOT_STARTED |
| RESPONSE_SUBJECT | The value of theNameIDelement in theSubjectelement of the SAML assertion.\n\nType: String |
| RESPONSE_TAGS | A list of tags that you want to attach to the newly created IAM instance profile  or that are attached to the new IAM OIDC provider. The returned list of tags is sorted by tag key. For more information about tagging  seeTagging IAM resourcesin theIAM User Guide. Each tag consists of a key name and an associated value. \n\nNote\n\nIf any one of the tags is invalid or if you exceed the allowed maximum number of tags  then the entire request fails and the resource is not created.\n\nType: Array of Tag objects\n\nArray Members: Maximum number of 50 items.\n\nRequired: No |
| RESPONSE_TRUNCATED_FLAG | A flag that indicates whether there are more items to return. If your results were truncated  you can make a subsequent pagination request using theMarkerrequest parameter to retrieve more items. Note that IAM might return fewer than theMaxItemsnumber of results even when there are more results available. We recommend that you checkIsTruncatedafter every call to ensure that you receive all your results.\n\nType: Boolean |
| RESPONSE_URL | The URL that the IAM OIDC provider resource object is associated with. For more information  seeCreateOpenIDConnectProvider.\n\nType: String\n\nLength Constraints: Minimum length of 1. Maximum length of 255. |
| RESPONSE_USER_INFO(Overloaded) | A structure with details about the new IAM user.\n\nType:Userobject |
| ORIGINAL_STRING:detail.responseElements.UserDetailList |  |
| RESPONSE_USER_LIST | A list of users in the group.\n\nType: Array ofUserobjects |
| RESPONSE_USER_NAME | The name of the IAM user that owns this access key.\n\nType: String\n\nLength Constraints: Minimum length of 1. Maximum length of 128.\n\nPattern:[\\w+= .@-]+ |
| RESPONSE_USER_SID | The unique identifier of the calling entity. The exact value depends on the type of entity that is making the call. The values returned are those listed in theaws:useridcolumn in thePrincipal tablefound on thePolicy Variablesreference page in theIAM User Guide.\n\nType: String |
| RESPONSE_VIRTUAL_MFA_DEVICE_INFO | A structure containing details about the new virtual MFA device.\n\nType:VirtualMFADeviceobject |
| RISK_DESC | The JSON structure of any alerts (tags) evaluated and attributed to the event. |
| SERVICE_EVENT_DETAILS | Identifies the service event  including what triggered the event and the result. For more information  seeAWS Service Events. This field has a maximum size of 100 KB; content exceeding that limit is truncated.\n\nCloudTrail supports logging non-API service events. These events are created by AWS services but are not directly triggered by a request to a public AWS API. For these events  the eventType field is AwsServiceEvent\n\nSince:1.05\n\nOptional:True\n\nSee https://docs.aws.amazon.com/awscloudtrail/latest/userguide/cloudtrail-event-reference-record-contents.html and https://docs.aws.amazon.com/awscloudtrail/latest/userguide/non-api-aws-service-events.html  |
| SHARED_EVENT_GUID | GUID generated by CloudTrail to uniquely identify CloudTrail events from the same AWS action that is sent to different AWS accounts.\n\nFor example  when an account uses a KMS key  also known as acustomer master key (CMK)  that belongs to another account  the account that used the CMK and the account that owns the CMK receive separate CloudTrail events for the same action. Each CloudTrail event delivered for this AWS action shares the samesharedEventID  but also has a uniqueeventIDandrecipientAccountID.\n\nFor more information  seesharedEventID Example.\n\nhttps://docs.aws.amazon.com/awscloudtrail/latest/userguide/shared-event-ID.html \n\nNote\n\nThesharedEventIDfield is present only when CloudTrail events are delivered to multiple accounts. If the caller and owner are the same AWS account  CloudTrail sends only one event  and thesharedEventIDfield is not present.\n\nSince:1.03\n\nOptional:True\n\nSee https://docs.aws.amazon.com/awscloudtrail/latest/userguide/cloudtrail-event-reference-record-contents.html  |
| SRC_GEO_COUNTRY | This is the country as indicated by the geolocation lookup of the CLIENT_IP address as also shown in the SRC_IP field. |
| SRC_GEO_CITY | This is the city as indicated by the geolocation lookup of the CLIENT_IP address as also shown in the SRC_IP field. |
| SRC_GEO_LAT | This is the latitude as indicated by the geolocation lookup of the CLIENT_IP address as also shown in the SRC_IP field. |
| SRC_GEO_LONG | This is the longitude as indicated by the geolocation lookup of the CLIENT_IP address as also shown in the SRC_IP field. |
| SRC_IP | The IP address that the request was made from. For actions that originate from the service console  the address reported is for the underlying customer resource  not the console web server. For services in AWS  only the DNS name is displayed.\n\nSince:1.0\n\nOptional:False\n\nSee https://docs.aws.amazon.com/awscloudtrail/latest/userguide/cloudtrail-event-reference-record-contents.html  |
| SRC_RDNS_DOMAIN | This is the domain name as indicated by the reverse domain name system lookup of the CLIENT_IP address as also shown in the SRC_IP field. |
| SRC_SERVICE_NAME | The name of the AWS service that made the request  such as Amazon EC2 Auto Scaling or AWS Elastic Beanstalk.\n\nOptional:True\n\nSee https://docs.aws.amazon.com/awscloudtrail/latest/userguide/cloudtrail-event-reference-user-identity.html  |
| SRC_TYPE | Constant AWS IAM STS Console) |
| SRC_USER_ARN | The Amazon Resource Name (ARN) of the principal that made the call. The last section of the arn contains the user or role that made the call.\n\nOptional:True\n\nSee https://docs.aws.amazon.com/awscloudtrail/latest/userguide/cloudtrail-event-reference-user-identity.html  |
| SRC_USER_ID | The account that owns the entity that granted permissions for the request. If the request was made with temporary security credentials  this is the account that owns the IAM user or role that was used to obtain credentials.\n\nOptional:True\n\nSee https://docs.aws.amazon.com/awscloudtrail/latest/userguide/cloudtrail-event-reference-user-identity.html  |
| SRC_USER_INFO | Information about the user that made a request. For more information  seeCloudTrail userIdentity Element.\n\nSince:1.0\n\nOptional:False\n\nSee https://docs.aws.amazon.com/awscloudtrail/latest/userguide/cloudtrail-event-reference-record-contents.html \n\nSee also https://docs.aws.amazon.com/awscloudtrail/latest/userguide/cloudtrail-event-reference-user-identity.html  |
| SRC_USER_NAME | The friendly name of the identity that made the call. The value that appears inuserNameis based on the value intype. The following table shows the relationship betweentypeanduserName. (See table in https://docs.aws.amazon.com/awscloudtrail/latest/userguide/cloudtrail-event-reference-user-identity.htm )\n\nNote: TheuserNamefield contains the stringHIDDEN_DUE_TO_SECURITY_REASONSwhen the recorded event is a console sign-in failure caused by incorrect user name input. CloudTrail does not record the contents in this case because the text could contain sensitive information  as in the following examples:\n\nA user accidentally types a password in the user name field.\n\nA user clicks the link for one AWS accounts sign-in page  but then types the account number for a different one.\n\nA user accidentally types the account name of a personal email account  a bank sign-in identifier  or some other private ID. |
| SRC_USER_SESSION_CONTEXT_ISSUER_ACCOUNT_ARN | arn The ARN of the source (account  IAM user  or role) that was used to get temporary security credentials.\n\nOptional:True\n\nSee https://docs.aws.amazon.com/awscloudtrail/latest/userguide/cloudtrail-event-reference-user-identity.html  |
| SRC_USER_SESSION_CONTEXT_ISSUER_ACCOUNT_ID | accountId The account that owns the entity that was used to get credentials.\n\nOptional:True\n\nSee https://docs.aws.amazon.com/awscloudtrail/latest/userguide/cloudtrail-event-reference-user-identity.html  |
| SRC_USER_SESSION_CONTEXT_ISSUER_INFO | If the request was made with temporary security credentials  an element that provides information about how the credentials were obtained. For example  if the temporary security credentials were obtained by assuming a role  this element provides information about the assumed role. If the credentials were obtained with root or IAM user credentials to call AWS STSGetFederationToken  the element provides information about the root account or IAM user. Attributes for this element are:\n\ntype The source of the temporary security credentials  such asRoot IAMUser  orRole.\n\nuserName The friendly name of the user or role that issued the session. The value that appears depends on thesessionIssueridentitytype. The following table shows the relationship betweensessionIssuer typeanduserName: (See page at link below)\n\nprincipalId The internal ID of the entity that was used to get credentials.\n\narn The ARN of the source (account  IAM user  or role) that was used to get temporary security credentials.\n\naccountId The account that owns the entity that was used to get credentials.\n\nOptional:True\n\nSee https://docs.aws.amazon.com/awscloudtrail/latest/userguide/cloudtrail-event-reference-user-identity.html  |
| SRC_USER_SESSION_CONTEXT_ISSUER_PRINCIPAL_ID | principalId The internal ID of the entity that was used to get credentials.\n\nOptional:True\n\nSee https://docs.aws.amazon.com/awscloudtrail/latest/userguide/cloudtrail-event-reference-user-identity.html  |
| SRC_USER_SESSION_CONTEXT_ISSUER_TYPE | type The source of the temporary security credentials  such asRoot IAMUser  orRole.\n\nOptional:True\n\nSee https://docs.aws.amazon.com/awscloudtrail/latest/userguide/cloudtrail-event-reference-user-identity.html  |
| SRC_USER_SESSION_CONTEXT_ISSUER_USER_NAME | userName The friendly name of the user or role that issued the session. The value that appears depends on thesessionIssueridentitytype. The following table shows the relationship betweensessionIssuer typeanduserName: (See page at link below)\n\nOptional:True\n\nSee https://docs.aws.amazon.com/awscloudtrail/latest/userguide/cloudtrail-event-reference-user-identity.html  |
| SRC_USER_SESSION_INFO | If the request was made with temporary security credentials sessionContextprovides information about the session that was created for those credentials. Sessions are created when any API is called that returns temporary credentials. Sessions are also created when users work in the console and when users make a request with APIs that includemulti-factor authentication. Attributes for this element are:\n\ncreationDate The date and time when the temporary security credentials were issued. Represented in ISO 8601 basic notation.\n\nmfaAuthenticated The value istrueif the root user or IAM user whose credentials were used for the request also was authenticated with an MFA device; otherwise false.\n\nsourceIdentity SeeAWS STS Source Identityin this topic. ThesourceIdentityfield occurs in events when users assume an IAM role to perform an action.sourceIdentityidentifies the original user identity making the request  whether that users identity is an IAM user  an IAM role  a user authenticated by using SAML-based federation  or a user authenticated by using OpenID Connect (OIDC)-compliant web identity federation. For more information about how to configure AWS STS to collect source identity information  seeMonitor and control actions taken with assumed rolesin theIAM User Guide.\n\nOptional:True\n\nSee https://docs.aws.amazon.com/awscloudtrail/latest/userguide/cloudtrail-event-reference-user-identity.html  |
| SRC_USER_SESSION_ISSUER_INFO | If the request was made with temporary security credentials  an element that provides information about how the credentials were obtained. For example  if the temporary security credentials were obtained by assuming a role  this element provides information about the assumed role. If the credentials were obtained with root or IAM user credentials to call AWS STSGetFederationToken  the element provides information about the root account or IAM user. Attributes for this element are:\n\ntype The source of the temporary security credentials  such asRoot IAMUser  orRole.\n\nuserName The friendly name of the user or role that issued the session. The value that appears depends on thesessionIssueridentitytype. The following table shows the relationship betweensessionIssuer typeanduserName: (See table in https://docs.aws.amazon.com/awscloudtrail/latest/userguide/cloudtrail-event-reference-user-identity.html )\n\nprincipalId The internal ID of the entity that was used to get credentials.\n\narn The ARN of the source (account  IAM user  or role) that was used to get temporary security credentials.\n\naccountId The account that owns the entity that was used to get credentials.\n\nOptional:True\n\nSee https://docs.aws.amazon.com/awscloudtrail/latest/userguide/cloudtrail-event-reference-user-identity.html  |
| SRC_USER_SID | A unique identifier for the entity that made the call. For requests made with temporary security credentials  this value includes the session name that is passed to theAssumeRole AssumeRoleWithWebIdentity  orGetFederationTokenAPI call.\n\nOptional:True\n\nSee https://docs.aws.amazon.com/awscloudtrail/latest/userguide/cloudtrail-event-reference-user-identity.html  |
| SRC_USER_TYPE | The type of the identity. The following values are possible:\n\nRoot The request was made with your AWS account credentials. If theuserIdentitytype isRootand you set an alias for your account  theuserNamefield contains your account alias. For more information  seeYour AWS Account ID and Its Alias.\n\nIAMUser The request was made with the credentials of an IAM user.\n\nAssumedRole The request was made with temporary security credentials that were obtained with a role via a call to the AWS Security Token Service (AWS STS)AssumeRoleAPI. This can includeroles for Amazon EC2andcross-account API access.\n\nFederatedUser The request was made with temporary security credentials that were obtained via a call to the AWS STSGetFederationTokenAPI. ThesessionIssuerelement indicates if the API was called with root or IAM user credentials.\n\nFor more information about temporary security credentials  seeTemporary Security Credentialsin theIAM User Guide.\n\nDirectory The request was made to a directory service  and the type is unknown. Directory services include the following: Amazon WorkDocs and Amazon QuickSight.\n\nAWSAccount The request was made by another AWS account.\n\nAWSService The request was made by an AWS account that belongs to an AWS service. For example  AWS Elastic Beanstalk assumes an IAM role in your account to call other AWS services on your behalf.\n\nUnknown The request was made with an identity type that CloudTrail cannot determine.\n\nOptional:False\n\nSee https://docs.aws.amazon.com/awscloudtrail/latest/userguide/cloudtrail-event-reference-user-identity.html  |
| TLS_INFO | Shows information about the Transport Layer Security (TLS) version  cipher suites  and the FQDN of the client-provided host name of a service API call. Contents include the following. CloudTrail still logs partial TLS details if expected information is missing or empty. For example  if the TLS version and cipher suite are present  but theHOSTheader is empty  available TLS details are still logged in the CloudTrail event.\n\nIfsessionCredentialFromConsoleis present with a value oftrue tlsDetailsis present in an event record only if an external client was used to make the API call.\n\ntlsVersion- The TLS version of a request.\n\ncipherSuite- The cipher suite (combination of security algorithms used) of a request.\n\nclientProvidedHostHeader- The FQDN of the client that made the request.\n\nSince:1.08\n\nOptional:True\n\nSee https://docs.aws.amazon.com/awscloudtrail/latest/userguide/cloudtrail-event-reference-record-contents.html  |
| USERAGENT | The agent through which the request was made  such as the AWS Management Console  an AWS service  the AWS SDKs or the AWS CLI. This field has a maximum size of 1 KB; content exceeding that limit is truncated. The following are example values:\n\nsignin.amazonaws.com The request was made by an IAM user with the AWS Management Console.\n\nconsole.amazonaws.com The request was made by a root user with the AWS Management Console.\n\nlambda.amazonaws.com The request was made with AWS Lambda.\n\naws-sdk-java The request was made with the AWS SDK for Java.\n\naws-sdk-ruby The request was made with the AWS SDK for Ruby.\n\naws-cli/1.3.23 Python/2.7.6 Linux/2.6.18-164.el5 The request was made with the AWS CLI installed on Linux.\n\nNote\n\nFor events originated by AWS  this field is usuallyAWS Internal/#  where#is a number used for internal purposes.\n\nSince:1.0\n\nOptional:False\n\nSee https://docs.aws.amazon.com/awscloudtrail/latest/userguide/cloudtrail-event-reference-record-contents.html  |
| VPC_ENDPOINT_ID | Identifies the VPC endpoint in which requests were made from a VPC to another AWS service  such as Amazon S3.\n\nSince:1.04\n\nOptional:True\n\nSee https://docs.aws.amazon.com/awscloudtrail/latest/userguide/cloudtrail-event-reference-record-contents.html  |
| nan | nan |
